Bug 834316 - rsyslog update crashes systems with older selinux-policy
rsyslog update crashes systems with older selinux-policy
Status: CLOSED DUPLICATE of bug 754455
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.2
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 10:22 EDT by Konstantin Ryabitsev
Modified: 2014-01-21 01:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-29 03:23:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2012-06-21 10:22:21 EDT
Latest rsyslog updates caused all my Fedora and RHEL systems that had selinux-enforcing to crash, and then hang on boot. The update in question:

Jun 21 03:46:03 Updated: rsyslog-5.8.10-2.el6.x86_64
Jun 21 03:46:03 Updated: rsyslog-relp-5.8.10-2.el6.x86_64

The only way to fix it was to boot with selinux permissive across the board.
I cannot tell if it's just systems using rsyslog-relp that are affected.

This is the only AVC I'm seeing:

type=SYSCALL msg=audit(1340250371.585:360904): arch=c000003e syscall=144 success=yes exit=0 a0=5968 a1=0 a2=7feb28f72d38 a3=7feb28f729d0 items=0 ppid=22886 pid=22887 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=49451 comm="rsyslogd" exe="/sbin/rsyslogd" subj=system_u:system_r:syslogd_t:s0 key=(null)
type=AVC msg=audit(1340250371.585:360904): avc:  denied  { setsched } for  pid=22887 comm="rsyslogd" scontext=system_u:system_r:syslogd_t:s0 tcontext=system_u:system_r:syslogd_t:s0 tclass=process

SELinux policy version (on rhel6):

selinux-policy-3.7.19-126.el6_2.10.noarch
Comment 2 Konstantin Ryabitsev 2012-06-21 11:42:21 EDT
This appears to be fixed in the latest policy release, but before you close this as "WORKSFORME", consider this:

1. Quite a few people, including us, only apply security patches to their systems (yum --security update-minimal). Since rsyslog is a security update and selinux-policy is bugfix update, this will result in a situation like we faced this morning. Perhaps it's worth always marking selinux-policy updates as security?
Comment 3 seth vidal 2012-06-21 12:06:58 EDT
Maybe it is also worth evaluating if the selinux-policy version update is a hard dep from rsyslog.

if it is not maybe we need a requires selinux-policy >= somever in the pkg.

that would allow yum --security to work properly.
Comment 6 Steve Snodgrass 2012-06-28 13:40:50 EDT
I just got hit by this today (last night actually) on a couple of systems, and I'm pretty sure every RHEL6 system in my infrastructure is in danger of hanging whenever this new version makes it to my local yum mirror.  The severity on this one should be way above medium.  Everyone running automatic updates that don't happen to include the new selinux policy could get into serious trouble because of this bug.
Comment 7 Steve Snodgrass 2012-06-28 14:02:37 EDT
By the way, I haven't been able to test this yet, but I think this bug is even more dangerous than Konstantin mentions.  I suspect, from examining my systems, that even if you are updating the selinux-policy RPM in the same yum transaction as the rsyslog update, and rsyslog just happens to go first, you are still hosed.  I had 3 systems getting an early batch of updates, two of them hung immediately after the rsyslog update and the 3rd was fine because the selinux RPM happened to get updated prior to rsyslog.
Comment 8 Konstantin Ryabitsev 2012-06-28 14:23:16 EDT
No, that shouldn't happen -- rsyslog service is restarted after the whole transaction has been completed, so as long as the newer selinux-policy has been installed along with rsyslog, regardless of order, things should work right.
Comment 9 Steve Snodgrass 2012-06-28 14:31:26 EDT
You may be right - I have puppet doing some package updates, so even though puppet wanted to do them all at once, it may not have been using a single yum transaction for the whole set.  But again, this illustrates the danger that this bug poses, even if you do mean to update the selinux policy.
Comment 10 Steve Snodgrass 2012-06-28 14:41:14 EDT
By the way, as long as we are documenting this problem the root bugfix in the new selinux policy that fixes the issue is bug 754455.

Seth - I don't think you could add a dependency for selinux to rsyslog, because it doesn't actually require the package and would function fine if selinux was completely absent.  You'd need a way of saying "IF selinux-policy is installed, THEN the version must be > X".  I'm not sure if RPM can do that, and you don't want rsyslog forcing an selinux install.
Comment 11 Miroslav Grepl 2012-06-29 03:23:20 EDT

*** This bug has been marked as a duplicate of bug 754455 ***

Note You need to log in before you can comment on or make changes to this bug.